読者です 読者をやめる 読者になる 読者になる

Happy My Life

日常とか技術とか

NetBeans6.1でRubyのデバッグができなくなった

いつものごとくNetBeans6.1を使ってrailsアプリをデバッグしようとしたら、こんなダイアログが表示された。

pic1

ぱっ、と読んだ感じでは、Fast Debugger(ruby-debug-ide 0.2.0)が悪さをしているっぽい。

ということで、ruby-debug-ide-0.2.0をアンインストールした。

$ sudo gem uninstall ruby-debug-ide --version=0.2.0

これで動作するように、なりましたとさ。 ちなみにversion 0.1.10ならばちゃんと動作している。

うっかりバージョンアップしてしまう可能性もあるので、ruby-debug-ideのバージョンを固定する方法を探していたのだが、どうもそんな方法はないっぽい。 あるなら誰か教えて。プリーズ。